org.eclipse.rdf4j.query.resultio.textstar.tsv

## Class SPARQLStarResultsTSVParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser
    - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVParser
      - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLStarResultsTSVParser
        - - org.eclipse.rdf4j.query.resultio.textstar.tsv.SPARQLStarResultsTSVParser

- All Implemented Interfaces:
    QueryResultParser, TupleQueryResultParser

  Deprecated.
  since 3.4.0 - moved to `SPARQLStarResultsTSVParser`.

      @Deprecated
      public class SPARQLStarResultsTSVParser
      extends SPARQLStarResultsTSVParser

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLStarResultsTSVParser()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLStarResultsTSVParser

      `getTupleQueryResultFormat`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVParser

      `createMappingStrategy, parse`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser

      `getQueryResultFormat, parseQueryResult, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.TupleQueryResultParser

      `setTupleQueryResultHandler`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getQueryResultFormat, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLStarResultsTSVParser

          public SPARQLStarResultsTSVParser()

      Deprecated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.